//*****************************************************************************
//
// This file is generated by ftrasterize; DO NOT EDIT BY HAND!
//
//*****************************************************************************
#include <stdbool.h>
#include <stdint.h>
#include "grlib/grlib.h"

//*****************************************************************************
//
// Details of this font:
//     Characters: 32 to 126 inclusive
//     Style: apercu
//     Size: 20 point
//     Bold: yes
//     Italic: yes
//     Memory usage: 2344 bytes
//
//*****************************************************************************

//*****************************************************************************
//
// The compressed data for the 20 point Apercu bold italic font.
// Contains characters 32 to 126 inclusive.
//
//*****************************************************************************
static const unsigned char g_pucApercu20biData[2144] =
{
      5,   9,   0,  21,  48,  18,   8, 164,  67,  83,  83,  83,
     82,  98,  98,  83, 240,  98,  83,  98, 240, 240, 112,  14,
      9, 162,  19,  50,  19,  35,  18,  50,  34,  50,  34,   0,
     15,  30,  15, 240,  82,  34, 146,  34, 146,  34, 130,  34,
    108,  59,  98,  34, 146,  34, 107,  75,  98,  34, 146,  34,
    130,  34, 146,  34,   0,   8,  64,  25,  12,  98, 162, 133,
    103,  67,  35,  67, 147, 164, 149, 147, 163,  35,  67,  35,
     51,  72,  86, 114, 162, 240, 240,  16,  37,  17, 240,  68,
    114,  54,  82,  50,  50,  66,  66,  35,  50,  86,  50, 116,
     50, 226, 226, 226,  52, 114,  54,  82,  51,  34,  66,  66,
     50,  50,  86,  51, 100,  81,   0,   8,  32,  29,  12, 240,
     20, 118,  98,  34,  98,  34,  98,  19, 101,  85, 103,  33,
     34,  53,  34,  53,  34,  67,  51,  51,  58,  53,  34,   0,
      6,  32,  10,   5,  98,  50,  35,  34,  50,   0,   8,  64,
     20,   8,  66,  82,  83,  82,  83,  82,  83,  83,  82,  98,
     98,  98,  98,  98,  98, 114, 240, 224,  20,   8,  50,  98,
     98,  99,  83,  83,  83,  83,  83,  82,  98,  83,  82,  83,
     82,  82, 240, 240,  13,   9, 194, 114,  71,  39,  52,  70,
     65,  33,   0,  12, 112,  17,  12,   0,   6,  82, 147, 146,
    162, 106,  42,  83, 146, 162, 162,   0,   8,  48,  11,   7,
      0,  10,  99,  67,  51,  66,  67,  66, 192,   9,  10,   0,
     10,   8,  40,   0,  11,  64,   9,   6,   0,   9,  18,  52,
     50, 240, 192,  21,  16, 179, 195, 195, 210, 211, 195, 195,
    210, 211, 195, 195, 210, 211, 195, 195, 210,   0,   7,  96,
     30,  13, 240,  36, 120,  68,  35,  67,  66,  51,  83,  35,
     83,  34,  98,  50,  98,  50,  83,  50,  83,  50,  67,  67,
     51,  87, 116,   0,   7,  48,  20,   8, 194,  83,  53,  53,
     34,  19,  83,  82,  98,  83,  83,  83,  82,  98,  83, 240,
    240,  96,  22,  12, 240,  21, 103,  67,  35,  67,  50, 147,
    147, 131, 131, 132, 116, 116, 116, 121,  57,   0,   6,  48,
     21,  12, 232,  72, 131, 131, 131, 133, 118, 147, 162, 162,
     51,  66,  51,  51,  71, 101,   0,   6,  80,  24,  13, 240,
     99, 148, 132, 133, 133, 114,  19,  99,  19,  83,  34,  83,
     50,  74,  58, 147, 162, 178,   0,   7,  16,  22,  12, 247,
     87,  67, 147, 146, 166,  88,  67,  51, 147, 147,  35,  66,
     51,  51,  71, 101,   0,   6,  80,  25,  11, 240,  35, 115,
    115, 130, 131, 117,  88,  35,  51,  35,  66,  34,  82,  34,
     67,  35,  36,  40,  84,   0,   6,  16,  19,  12, 217,  56,
    147, 131, 147, 131, 147, 131, 131, 147, 131, 147, 131, 146,
      0,   7,  32,  28,  12, 240,  36, 103,  67,  50,  67,  50,
     66,  66,  67,  35,  86,  87,  67,  51,  50,  67,  35,  67,
     50,  51,  72,  85,   0,   6,  80,  24,  12, 245,  88,  67,
     35,  51,  67,  35,  67,  35,  66,  51,  51,  71, 101, 146,
    147, 131, 131, 131,   0,   7,  16,  13,   6, 240, 240,  19,
     51,  51, 240, 179,  51,  51, 240, 192,  16,   8, 240, 240,
    211,  83,  83, 240, 240,  99,  83,  67,  82,  82,  98, 224,
     17,   9, 240, 240, 193,  99,  69,  37,  67, 100,  85, 101,
     99, 129,   0,   5, 112,  11,  10,   0,   7,  72,  40, 240,
    120,  40,   0,   9,  17,  10, 240, 240, 162, 131, 117, 117,
    116, 100,  69,  53,  83, 113,   0,   7,  48,  22,  10, 212,
     71,  50,  35,  65,  35,  99,  84,  82, 115,  18,  85,  84,
    240,  18, 116, 114,   0,   5, 112,  46,  18, 240, 150, 170,
    100,  99,  83, 131,  51,  36,  18,  18,  50,  39,  34,  35,
     19,  50,  34,  35,  18,  66,  34,  34,  34,  66,  34,  35,
     18,  51,  19,  35,  27,  66,  36,  20,  83, 240,  19,  99,
    123, 150, 240, 240, 208,  28,  14, 240,  99, 164, 164, 149,
    146,  18, 131,  19, 115,  19,  99,  35,  99,  35,  89,  89,
     67,  82,  51,  99,  35,  99,   0,   7,  32,  27,  13, 247,
    104,  82,  67,  66,  67,  51,  67,  51,  51,  72,  89,  66,
     67,  51,  82,  51,  82,  51,  67,  57,  72,   0,   7,  16,
     26,  15, 240,  85, 137,  83,  67,  67,  99,  50, 113,  67,
    195, 194, 210, 210, 113,  83,  83,  83,  52,  89, 133,   0,
      8,  48,  30,  14, 240,  23, 120,  98,  67,  82,  83,  51,
     83,  51,  83,  51,  83,  50,  99,  50,  99,  35,  83,  51,
     83,  51,  52,  73,  87,   0,   7, 112,  19,  13, 249,  72,
     82, 178, 163, 163, 167, 103,  98, 163, 163, 163, 169,  72,
      0,   7,  16,  19,  13, 249,  73,  66, 178, 163, 163, 167,
    103,  98, 163, 163, 163, 162, 178,   0,   7, 112,  28,  15,
    240,  85, 136,  99,  67,  67,  99,  35, 113,  67, 195, 194,
     85,  50,  85,  51,  99,  51,  83,  68,  52,  90, 116,  34,
      0,   8,  32,  15, 240,  35,  83,  67,  82,  82,  98,  82,
     83,  67,  83,  67,  83,  74,  90,  82,  83,  67,  83,  67,
     83,  67,  82,  82,  98,  82,  83,   0,   8,  16,  19,   7,
    147,  67,  66,  82,  67,  67,  67,  66,  82,  67,  67,  67,
     66,  82, 240, 240,  48,  22,  13, 240,  99, 162, 178, 163,
    163, 163, 162, 178, 163, 163,  66,  67,  67,  35,  88, 116,
      0,   7,  48,  32,  14, 240,  19,  67,  67,  51,  82,  51,
     98,  35,  99,  19, 118, 133, 146,  18, 146,  19, 115,  35,
     99,  35,  99,  51,  82,  67,  82,  83,   0,   7,  64,  19,
     10, 195, 115, 114, 130, 115, 115, 115, 114, 130, 115, 115,
    115, 120,  40, 240, 240, 192,  39,  16, 240,  51,  99,  67,
     99,  68,  68,  68,  53,  53,  53,  53,  37,  69,  34,  18,
     66,  25,  66,  21,  19,  51,  35,  35,  51,  35,  34,  67,
     34,  50,  66, 115,  66, 115,   0,   8,  64,  36,  15, 240,
     35,  83,  68,  66,  84,  66,  84,  51,  70,  35,  70,  35,
     67,  18,  34,  82,  35,  18,  82,  38,  67,  53,  67,  53,
     67,  52,  82,  83,  82,  83,   0,   8,  16,  30,  15, 240,
     85, 136,  99,  67,  67,  99,  35, 115,  35, 115,  35, 115,
     34, 131,  34, 131,  35,  99,  51,  99,  52,  52,  89, 133,
      0,   8,  48,  23,  13, 247, 105,  66,  67,  66,  67,  51,
     67,  51,  52,  57,  71,  98, 163, 163, 163, 162, 178,   0,
      7, 112,  31,  15, 240,  85, 136,  99,  67,  67,  99,  35,
    115,  35, 115,  35, 115,  34, 131,  34,  82,  19,  35,  54,
     51,  69,  52,  52,  91, 101,  33,   0,   8,  29,  13, 247,
    104,  82,  67,  66,  67,  51,  67,  51,  51,  73,  71,  98,
     35,  83,  35,  83,  51,  67,  51,  66,  82,  66,  83,   0,
      6, 112,  23,  12, 240,  21, 103,  67,  35,  67, 147, 149,
    133, 133, 148, 147,  35,  67,  35,  51,  72,  85,   0,   6,
     80,  19,  13, 219,  42, 114, 163, 163, 163, 163, 162, 178,
    163, 163, 163, 162, 178,   0,   7,  80,  32,  14, 240,  19,
     67,  66,  83,  51,  83,  51,  83,  51,  82,  67,  82,  66,
     83,  51,  83,  51,  83,  51,  82,  67,  67,  67,  52,  88,
    117,   0,   7, 112,  28,  14, 227,  99,  35,  83,  51,  83,
     66,  67,  82,  67,  82,  51,  99,  35,  99,  19, 115,  19,
    118, 149, 148, 163, 179,   0,   8,  16,  43,  19, 240,  66,
    195,  34, 194,  50,  67,  67,  50,  67,  66,  66,  67,  51,
     67,  36,  51,  67,  37,  34,  83,  18,  19,  19,  83,  18,
     19,  18, 101,  53, 101,  52, 116,  68, 116,  67, 146,  83,
      0,  10,  64,  28,  15, 240,  51,  67,  99,  35, 115,  34,
    146,  19, 149, 164, 195, 180, 165, 147,  19, 130,  35, 115,
     50,  99,  67,  67,  83,   0,   8,  23,  12, 195,  67,  35,
     67,  50,  51,  67,  19,  83,  19, 101, 116, 131, 147, 147,
    147, 146, 162, 147,   0,   7,  20,  14, 240,  26,  73, 164,
    163, 163, 163, 164, 163, 163, 163, 164, 163, 170,  74,   0,
      7,  64,  21,  10,  53,  85,  82, 130, 130, 115, 115, 114,
    130, 130, 115, 115, 114, 130, 132,  85, 240, 240,  80,  21,
     10,   2, 131, 115, 130, 131, 115, 130, 131, 130, 130, 131,
    130, 130, 131, 130, 131, 240, 240,  32,  21,   9,  52,  69,
     99,  99,  98, 114, 114,  99,  99,  98, 114, 114,  99,  99,
     69,  68, 240, 240,  32,  14,  11, 227, 116, 117,  82,  35,
     51,  50,  50,  67,   0,  16,  96,   8,  11,   0,  20,  89,
     41, 240, 144,   8,   6,  99,  67,  66,   0,  11,  64,  24,
     13,   0,   8,  84,  18,  73,  52,  36,  51,  66,  66,  82,
     51,  82,  51,  67,  67,  51,  72, 100,  18,   0,   7,  27,
     13, 240,  19, 162, 178, 163, 167, 104,  83,  51,  66,  67,
     51,  67,  51,  67,  51,  67,  51,  51,  72,  67,  20,   0,
      7,  16,  20,  12,   0,   8,   5,  88,  67,  50,  51, 146,
    147, 147,  65,  83,  35,  72,  85,   0,   6,  80,  28,  14,
    240, 131, 179, 178, 194, 116,  18,  89,  68,  36,  67,  66,
     82,  82,  67,  82,  67,  67,  83,  36,  88, 116,  18,   0,
      7,  80,  20,  12,   0,   8,   4, 104,  52,  35,  51,  66,
     57,  42,  35, 162,  67,  56, 100,   0,   6,  80,  19,  10,
    228,  85,  82, 115, 102,  70,  82, 130, 115, 115, 115, 114,
    130, 115,   0,   5, 112,  24,  13,   0,   8, 102, 103,  82,
     50,  98,  50,  98,  35, 102, 102,  99, 168,  88,  67,  67,
     51,  66,  88, 101,  96,  28,  13, 240,  19, 162, 178, 163,
    163,  20,  88,  83,  51,  67,  50,  67,  66,  67,  66,  67,
     51,  66,  67,  66,  66,  67,  66,   0,   7,  18,   8, 178,
     84,  82, 211,  83,  82,  98,  83,  83,  83,  82,  98,  83,
    240, 240, 112,  21,  10, 242, 116, 114, 240,  35, 115, 114,
    130, 115, 115, 115, 114, 130, 115, 115,  99, 100,  98, 128,
     25,  12, 243, 146, 162, 147, 147,  35,  67,  19,  82,  19,
    101, 101, 118, 102,  98,  35,  82,  35,  67,  51,   0,   6,
     48,  19,   7, 147,  66,  82,  82,  67,  67,  66,  82,  82,
     67,  67,  67,  66,  82, 240, 240,  48,  35,  18,   0,  11,
     67,  19,  51,  94,  67,  36,  35,  67,  35,  51,  51,  51,
     51,  51,  51,  50,  67,  50,  66,  66,  66,  51,  66,  51,
     51,  51,  51,  51,   0,   9,  48,  26,  12,   0,   7,  99,
     20,  72,  67,  50,  67,  50,  51,  51,  51,  51,  51,  51,
     50,  66,  66,  66,  51,  66,   0,   6,  48,  23,  13,   0,
      8,  84, 120,  67,  51,  67,  67,  50,  83,  35,  83,  35,
     82,  67,  51,  72, 116,   0,   7,  32,  26,  13,   0,   8,
     55, 104,  83,  51,  66,  67,  51,  67,  51,  67,  51,  67,
     51,  51,  72,  82,  20,  83, 163, 162, 178, 176,  26,  13,
      0,   8,  72,  73,  51,  52,  51,  66,  66,  82,  51,  82,
     51,  67,  67,  36,  72, 100,  18, 163, 163, 163, 162,  80,
     18,  11,   0,   7,  19,  19,  70,  84, 115, 115, 131, 131,
    130, 146, 131,   0,   6,  64,  19,  10,   0,   6,  84,  86,
     66,  33,  82, 132, 132, 115,  35,  35,  54,  84, 240, 240,
    224,  19,   8, 193,  82,  98,  83,  70,  38,  50,  98,  83,
     83,  83,  83,  85,  68, 240, 240,  80,  26,  12,   0,   7,
     83,  51,  51,  51,  50,  66,  66,  66,  51,  51,  51,  51,
     51,  51,  51,  35,  72,  83,  19,   0,   6,  64,  23,  11,
      0,   6, 115,  66,  50,  51,  50,  50,  66,  35,  66,  34,
     82,  19,  85, 116, 115, 131,   0,   6,  32,  33,  16,   0,
     10,   3,  50,  51,  35,  35,  50,  51,  35,  35,  51,  20,
     34,  67,  20,  19,  87,  18, 100,  33,  18, 100,  35, 115,
     51, 115,  50,   0,   8, 112,  22,  12,   0,   7,  98,  51,
     67,  19, 101, 116, 146, 147, 133,  99,  18,  83,  35,  66,
     66,   0,   6,  64,  25,  12,   0,   7,  82,  67,  50,  66,
     67,  35,  67,  34,  98,  19,  98,  18, 117, 116, 131, 147,
    146, 147, 146, 147, 144,  17,  11,   0,   7,  23,  55, 131,
    115, 115, 130, 131, 115, 120,  56,   0,   5, 112,  20,   9,
    196,  83,  83,  99,  98, 114,  99,  83,  99, 114, 114, 114,
     99, 100,  84, 240, 240,  32,  18,   4,  66,  34,  34,  34,
     34,  34,  34,  34,  34,  34,  34,  34,  34,  34,  34, 224,
     20,   9, 195, 100,  99,  99,  98, 114,  99, 115,  84,  83,
     98,  99,  99,  83,  84, 240, 240,  32,  12,  12,   0,  10,
    100,  49,  42,  49,  52,   0,  13, 112,
};

//*****************************************************************************
//
// The font definition for the 20 point Apercu bold italic font.
//
//*****************************************************************************
const tFont g_sFontApercu20bi =
{
    //
    // The format of the font.
    //
    FONT_FMT_PIXEL_RLE,

    //
    // The maximum width of the font.
    //
    16,

    //
    // The height of the font.
    //
    19,

    //
    // The baseline of the font.
    //
    15,

    //
    // The offset to each character in the font.
    //
    {
           0,    5,   23,   37,   67,   92,  129,  158,
         168,  188,  208,  221,  238,  249,  258,  267,
         288,  318,  338,  360,  381,  405,  427,  452,
         471,  499,  523,  536,  552,  569,  580,  597,
         619,  665,  693,  720,  746,  776,  795,  814,
         842,  874,  893,  915,  947,  966, 1005, 1041,
        1071, 1094, 1125, 1154, 1177, 1196, 1228, 1256,
        1299, 1327, 1350, 1370, 1391, 1412, 1433, 1447,
        1455, 1463, 1487, 1514, 1534, 1562, 1582, 1601,
        1625, 1653, 1671, 1692, 1717, 1736, 1771, 1797,
        1820, 1846, 1872, 1890, 1909, 1928, 1954, 1977,
        2010, 2032, 2057, 2074, 2094, 2112, 2132,
    },

    //
    // A pointer to the actual font data
    //
    g_pucApercu20biData
};
